package com.ffii.fhsmsc.modules.User_group.req;

import java.util.List;

public class DeleteMemberWithAuthoritiesReq {
    private Long orgId;
    private Long userId;
    private List<Long> authorityIds; // 要删除的权限ID列表，如果为空则删除所有权限

    // Getters and setters
    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<Long> getAuthorityIds() {
        return authorityIds;
    }

    public void setAuthorityIds(List<Long> authorityIds) {
        this.authorityIds = authorityIds;
    }
}